## edu.cwru.SimpleRTS.action
Class ProductionAction

    java.lang.Object
      edu.cwru.SimpleRTS.action.Action
          edu.cwru.SimpleRTS.action.ProductionAction

    public class ProductionAction

extends Action

Constructor Summary
`ProductionAction(int unitid, ActionType type, int templateid)`

Method Summary
`int` `getTemplateId()`
`java.lang.String` `toString()`

Methods inherited from class edu.cwru.SimpleRTS.action.Action
`createCompoundAttack, createCompoundBuild, createCompoundDeposit, createCompoundGather, createCompoundMove, createCompoundProduction, createFail, createPermanentFail, createPrimitiveBuild, createPrimitiveDeposit, createPrimitiveGather, createPrimitiveMove, createPrimitiveProduction, getType, getUnitId`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProductionAction

    public ProductionAction(int unitid,
                            ActionType type,
                            int templateid)

Method Detail

### getTemplateId

    public int getTemplateId()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Action`